X509AttributeIdentifiers (Bouncy Castle Library 1.85 API Specification)
Date: 2026-07-12

org.bouncycastle.asn1.x509

## Interface X509AttributeIdentifiers

-     public interface X509AttributeIdentifiers

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static ASN1ObjectIdentifier` | `id_aca`
    `static ASN1ObjectIdentifier` | `id_aca_accessIdentity`
    `static ASN1ObjectIdentifier` | `id_aca_authenticationInfo`
    `static ASN1ObjectIdentifier` | `id_aca_chargingIdentity`
    `static ASN1ObjectIdentifier` | `id_aca_encAttrs`
    `static ASN1ObjectIdentifier` | `id_aca_group`
    `static ASN1ObjectIdentifier` | `id_at_clearance`
    `static ASN1ObjectIdentifier` | `id_at_privateKeyStatement` Deprecated. use statementOfPossession
    `static ASN1ObjectIdentifier` | `id_at_role`
    `static ASN1ObjectIdentifier` | `id_at_statementOfPossession`
    `static ASN1ObjectIdentifier` | `id_ce_targetInformation`
    `static ASN1ObjectIdentifier` | `id_pe_aaControls`
    `static ASN1ObjectIdentifier` | `id_pe_ac_auditIdentity`
    `static ASN1ObjectIdentifier` | `id_pe_ac_proxying`
    `static ASN1ObjectIdentifier` | `RoleSyntax` Deprecated. use id_at_role

- - ### Field Detail

    - #### RoleSyntax

          @Deprecated
          static final ASN1ObjectIdentifier RoleSyntax

      Deprecated. use id_at_role

    - #### id_pe_ac_auditIdentity

          static final ASN1ObjectIdentifier id_pe_ac_auditIdentity

    - #### id_pe_aaControls

          static final ASN1ObjectIdentifier id_pe_aaControls

    - #### id_pe_ac_proxying

          static final ASN1ObjectIdentifier id_pe_ac_proxying

    - #### id_ce_targetInformation

          static final ASN1ObjectIdentifier id_ce_targetInformation

    - #### id_aca

          static final ASN1ObjectIdentifier id_aca

    - #### id_aca_authenticationInfo

          static final ASN1ObjectIdentifier id_aca_authenticationInfo

    - #### id_aca_accessIdentity

          static final ASN1ObjectIdentifier id_aca_accessIdentity

    - #### id_aca_chargingIdentity

          static final ASN1ObjectIdentifier id_aca_chargingIdentity

    - #### id_aca_group

          static final ASN1ObjectIdentifier id_aca_group

    - #### id_aca_encAttrs

          static final ASN1ObjectIdentifier id_aca_encAttrs

    - #### id_at_role

          static final ASN1ObjectIdentifier id_at_role

    - #### id_at_clearance

          static final ASN1ObjectIdentifier id_at_clearance

    - #### id_at_privateKeyStatement

          @Deprecated
          static final ASN1ObjectIdentifier id_at_privateKeyStatement

      Deprecated. use statementOfPossession

    - #### id_at_statementOfPossession

          static final ASN1ObjectIdentifier id_at_statementOfPossession